import prisma from "@/lib/db";

export async function createUserMethod(nom : string, prenom : string, email : string){
        //await createUser(nom,prenom,email)
        return prisma.utilisateur.create({ data: { ut_nom : nom, ut_prenom : prenom, ut_mail :  email } })
}


export async function deleteUser(id: number) {
    return prisma.utilisateur.delete({ where: { ut_id : id } })
}

export async function getAllUser(){
    return prisma.utilisateur.findMany({
        include : {
            achat :{
                include : {
                    formation : true
                }
            }
        }
    })
}
